Sync redmine 0.9.3-1 (universe) from Debian testing (main)

Bug #538909 reported by Luke Faraone on 2010-03-15
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
redmine (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/redmine
 status new
 importance wishlist
 subscribe ubuntu-universe-sponsors
 done

Please sync redmine 0.9.3-1 (universe) from Debian testing (main)

Does not require a FFe since careful review of the upstream changelog demostrates that no new features were added: http://www.redmine.org/wiki/redmine/Changelog

Changelog entries since current lucid version 0.9.1-1:

redmine (0.9.3-1) unstable; urgency=low

  * First attempt to support plugins. Unfortunately, many of them
    already depend on rails 2.3, so they'll need some patches.
  * Load session.yml in config/environment.rb before loading plugins.
    (Closes: #549453)
  * Move public/plugin_assets to /var/cache/redmine/plugin_assets.
    The server config must be fixed, examples are provided.
    (Closes: #570308)
  * Recommends libapache2-mod-passenger and provide some example for
    its configuration. (Closes: #570184)
  * Update email.yml example, document in README.Debian a bug with
    delivery method async_smtp. (Closes: #570402)

 -- Jérémy Lal <email address hidden> Sun, 28 Feb 2010 19:32:55 +0100

redmine (0.9.2-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop get-orig-source, use uscan only, add copyright for rails
  * Fix forms select helper, another rails 2.2 incompatibility.
    (Closes: #569080)
  * Correctly declare generate_session_store task. (Closes: #569555)
  * Monkey patch to allow XHR requests in rails 2.2.3-2.

 -- Jérémy Lal <email address hidden> Sun, 14 Feb 2010 15:58:08 +0100

redmine (0.9.2-1) unstable; urgency=low

  * Upstream update
  * Adds id language to debian/config list.
  * Correct apache2 host example config. (Closes: #568859)
  * Migrate databases and plugins even when not reinstalled
    by dbconfig. (Closes: #568861)

 -- Jérémy Lal <email address hidden> Mon, 08 Feb 2010 14:08:42 +0100

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkudoWEACgkQtrC51grHAgYPCQCfd9o+TRj/3ZRM57hi8ASnXw9Y
SrYAmwROb2FYr/GV9lTxvghMC8CJ1Hm8
=bwzA
-----END PGP SIGNATURE-----

Benjamin Drung (bdrung) wrote :

Aren't these two changes new features:
* Adds filter for system shared versions on the cross project issue list
* Makes project identifiers searchable

Can you provide a upstream diff?

I couldn't find changelog file, but wiki page. from http://www.redmine.org/wiki/redmine/Changelog/diff?version=28&version_from=26&commit=View+differences here you can see diff.

kapouer (kapouer) wrote :

I strongly recommend to switch to version 0.9.3 : some important bugs have been fixed in the debian backport for rails 2.2.
Jérémy.

Iulian Udrea (iulian) wrote :

FFe granted. Please go ahead.

Changed in redmine (Ubuntu):
status: New → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

sync request ack'd

Thank you all.

James Westby (james-w) wrote :

[Updating] redmine (0.9.1-1 [Ubuntu] < 0.9.3-1 [Debian])
 * Trying to add redmine...
2010-03-22 18:44:31 INFO - <redmine_0.9.3.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-03-22 18:44:33 INFO - <redmine_0.9.3-1.dsc: downloading from http://ftp.debian.org/debian/>
2010-03-22 18:44:33 INFO - <redmine_0.9.3-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
I: redmine [universe] -> redmine_0.9.1-1 [universe].
I: redmine [universe] -> redmine-mysql_0.9.1-1 [universe].
I: redmine [universe] -> redmine-pgsql_0.9.1-1 [universe].
I: redmine [universe] -> redmine-sqlite_0.9.1-1 [universe].

Changed in redmine (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers